package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.KaoqinRecord;

import java.util.List;

/**
 * 考勤记录Mapper接口
 * 
 * @author boman
 * @date 2023-02-09
 */
public interface KaoqinRecordMapper 
{
    /**
     * 查询考勤记录
     * 
     * @param recordId 考勤记录主键
     * @return 考勤记录
     */
    public KaoqinRecord selectKaoqinRecordByRecordId(Long recordId);

    /**
     * 查询考勤记录列表
     * 
     * @param kaoqinRecord 考勤记录
     * @return 考勤记录集合
     */
    public List<KaoqinRecord> selectKaoqinRecordList(KaoqinRecord kaoqinRecord);

    /**
     * 新增考勤记录
     * 
     * @param kaoqinRecord 考勤记录
     * @return 结果
     */
    public int insertKaoqinRecord(KaoqinRecord kaoqinRecord);

    /**
     * 修改考勤记录
     * 
     * @param kaoqinRecord 考勤记录
     * @return 结果
     */
    public int updateKaoqinRecord(KaoqinRecord kaoqinRecord);

    /**
     * 删除考勤记录
     * 
     * @param recordId 考勤记录主键
     * @return 结果
     */
    public int deleteKaoqinRecordByRecordId(Long recordId);

    /**
     * 批量删除考勤记录
     * 
     * @param recordIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKaoqinRecordByRecordIds(Long[] recordIds);
}
